QGIS Application - Bug report #20701
No scroll in attribute form
2018-12-03 10:17 AM - Nikolay Lebedev

Status: Open

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28521
Description

When a form has a long list of attributes, OK and Cancel buttons go off screen and there is no way to scroll down to them.

Related issues:
Related to QGIS Application - Bug report # 20338: Can not scroll through attr... Closed 2018-11-02

History

#1 - 2018-12-03 10:35 AM - Alessandro Pasotti
- Status changed from Open to Feedback

Is this related to #20338 ?

Also, please attach a sample project to reproduce the issue and specify on which operating system you see this problem.

#2 - 2018-12-03 10:42 AM - Jiirgen Fischer

- Related to Bug report #20338: Can not scroll through attribute list in dialog window when linking existing child features added

#3 - 2018-12-03 10:48 AM - Alessandro Pasotti

@Jurgen I'm not really sure it's related: the dialog contains a different layout and scroll area in case of relations and child features but this issue does not

mention any parent-child layer setup.

#4 - 2019-01-28 03:59 PM - Peter Petrik

Unable to replicate with QGIS 3.5 (master) on MacOS (user Nikolay may use Mac, see OS https://issues.qgis.org/issues/15984 in related issue)

#5 - 2019-02-01 02:12 PM - Nikolay Lebedev
- File noscroll.zip added

This happens when you switch form type from Auto-generated to Drag-n-Drop designer.
Attached video with this issue.

#6 - 2019-03-09 10:53 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.2 to 3.6.0
https://issues.qgis.org/issues/15984

- Status changed from Feedback to Open

Still true on 3.6

Files

noscroll.zip 3.29 MB 2019-02-01 Nikolay Lebedev
